Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.axis.ConfigurationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WSDDException

public class ConfigurationException
extends IOException

ConfigurationException is thrown when an error occurs trying to use an EngineConfiguration.

Author:
  Glyn Normington (glyn@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static boolean` | `copyStackByDefault` Copy the orginal exception by default

Constructor Summary
`ConfigurationException(Exception exception)` Construct a ConfigurationException from an Exception.
`ConfigurationException(Exception exception, boolean copyStack)` Construct a ConfigurationException from an Exception.
`ConfigurationException(String message)` Construct a ConfigurationException from a String.

Method Summary
`Exception` | `getContainedException()` get any contained exception
`String` | `toString()` stringify, including stack trace.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyStackByDefault

    protected static boolean copyStackByDefault

  Copy the orginal exception by default

Constructor Detail

### ConfigurationException

    public ConfigurationException(String message)

  Construct a ConfigurationException from a String. The string is wrapped in an exception, enabling a stack traceback to be obtained.

Parameters:
  `message` - String form of the error

### ConfigurationException

    public ConfigurationException(Exception exception)

  Construct a ConfigurationException from an Exception.

Parameters:
  `exception` - original exception which was unexpected

### ConfigurationException

    public ConfigurationException(Exception exception,
                                  boolean copyStack)

  Construct a ConfigurationException from an Exception.

Parameters:
  `exception` - original exception which was unexpected
  `copyStack` - set to true to copy the orginal exception's stack

Method Detail

### toString

    public String toString()

  stringify, including stack trace.

  Returns:

### getContainedException

    public Exception getContainedException()

  get any contained exception

  Returns:
    base exception or null
  Since:
    axis1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.